package code;

import javax.persistence.Entity;
import javax.persistence.Table;

import code.shared.AbstractDataBean;

@Entity @Table(name="testdatabean")
public class TestDataBean extends AbstractDataBean<TestDataBean> {
	
	private String firstName = null;
	private String lastName = null;
	
	/** Required Jpa constructor **/
	public TestDataBean() {
	}
	
	public TestDataBean(String firstName, String lastName) {
		this.firstName = firstName;
		this.lastName = lastName;
	}
	
	// ------------------------------------- Attributes ---------------------------------------------
	
	public String getFirstName() {
		return firstName;
	}
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	public String getLastName() {
		return lastName;
	}
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
}
